tld_strerror(3)

NAME
tld_strerror - return string describing tld error code

SYNOPSIS
#include <tld.h>

const char * tld_strerror(Tld_rc rc);

ARGUMENTS

Tld_rc rc
    tld return code

DESCRIPTION
Convert a return code integer to a text string. This string can be used to output a diagnostic message to the user.

TLD_SUCCESS
Successful operation. This value is guaranteed to always be zero, the remaining ones are only guaranteed to hold non-zero values, for logical comparison purposes.

TLD_INVALID
Invalid character found.

TLD_NODATA
No input data was provided.

TLD_MALLOC_ERROR
Error during memory allocation.

TLD_ICONV_ERROR
Error during iconv string conversion.

TLD_NO_TLD
No top-level domain found in domain string.

RETURN VALUE
Returns a pointer to a statically allocated string containing a description of the error with the return code rc.

REPORTING BUGS
Report bugs to <bug-libidn@gnu.org>. GNU Libidn home page: http://www.gnu.org/software/libidn/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2002, 2003, 2004, 2005, 2006, 2007, 2008, 2009 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for libidn is maintained as a Texinfo manual. If the info and libidn programs are properly installed at your site, the command

    info libidn

should give you access to the complete manual.